package br.com.senac;

import java.util.List;

import br.com.senac.dao.ClienteDAO;
import br.com.senac.dao.EmailDAO;
import br.com.senac.dao.DAOFactory;
import br.com.senac.model.Cliente;
import br.com.senac.model.Email;

public class Main {
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		DAOFactory fact = DAOFactory.getInstance();
		List<Cliente> lc = fact.getClienteDAO().findAll();
		for (Cliente c : lc) {
			System.out.println(c);
			List<Email> le = c.getEmails();
			for (Email e : le) {
				System.out.println("  " + e);
			}
		}
	}
}
